System.Design 2.0.0.0 System.Enum

A snapline's priority acts as a suggestion to visual designers about how to treat a snapline with respect to its peers. The layout engine uses a simple method of determining whether to display the snaplines for a control: only the highest priority snaplines, including those with a value of , are shown for each orientation—vertical or horizontal.

To set the priority of a snapline, a enumeration is specified when creating an instance of the class.

Specifies the relative importance of a snapline.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLinePriority

  The priority category that is equivalent to the highest priority of all the current snaplines. Indicates that this category of snapline should always be active.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLinePriority

  The highest priority category.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLinePriority

  The lowest priority category.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLinePriority

  The middle priority category.